Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class InsertObjectQuery

`java.lang.Object
oracle.toplink.queryframework.DatabaseQuery
oracle.toplink.queryframework.ModifyQuery
oracle.toplink.queryframework.ObjectLevelModifyQuery
oracle.toplink.queryframework.WriteObjectQuery
oracle.toplink.queryframework.InsertObjectQuery`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class InsertObjectQuery
extends WriteObjectQuery

Purpose: Used for inserting new objects into the database.

Description: This class does not have much behavior. It inherits most of it's behavior from WriteObjectQuery

Since:
  TOPLink/Java 1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.queryframework.DatabaseQuery
`CascadeAggregateDelete, CascadeAllParts, CascadeByMapping, CascadeDependentParts, CascadePrivateParts, NoCascading`

Constructor Summary
`InsertObjectQuery()` PUBLIC: Default constructor.
`InsertObjectQuery(Call call)` PUBLIC: Create an insert query with the custom call.
`InsertObjectQuery(java.lang.Object objectToInsert)` PUBLIC: Create an insert query with the object being inserted.

Method Summary
`boolean` | `isInsertObjectQuery()` PUBLIC: Return if this is an insert object query.

Methods inherited from class oracle.toplink.queryframework.WriteObjectQuery
`isWriteObjectQuery`

Methods inherited from class oracle.toplink.queryframework.ObjectLevelModifyQuery
`getObject, getObjectChangeSet, getReferenceClass, isObjectLevelModifyQuery, setObject, toString`

Methods inherited from class oracle.toplink.queryframework.ModifyQuery
`forceBatchStatementExecution, isModifyQuery, setForceBatchStatementExecution`

Methods inherited from class oracle.toplink.queryframework.DatabaseQuery
`addArgument, addArgument, addArgument, addArgumentValue, addArgumentValues, addCall, addStatement, bindAllParameters, cacheStatement, cascadeAllParts, cascadeByMapping, cascadePrivateParts, dontBindAllParameters, dontCacheStatement, dontCascadeParts, dontMaintainCache, getCall, getCalls, getDatasourceCall, getDatasourceCalls, getEJBQLString, getHintString, getName, getQueryTimeout, getRedirector, getSelectionCriteria, getSessionName, getSQLStatement, getSQLString, getSQLStrings, getTranslatedSQLString, getTranslatedSQLStrings, hasSessionName, ignoreBindAllParameters, ignoreCacheStatement, isCallQuery, isDataModifyQuery, isDataReadQuery, isDeleteObjectQuery, isExpressionQuery, isObjectLevelReadQuery, isReadAllQuery, isReadObjectQuery, isReadQuery, isReportQuery, isSQLCallQuery, isUpdateAllQuery, isUpdateObjectQuery, maintainCache, prepareCall, setCall, setDatasourceCall, setEJBQLString, setHintString, setName, setQueryTimeout, setRedirector, setSelectionCriteria, setSessionName, setShouldBindAllParameters, setShouldCacheStatement, setShouldMaintainCache, setShouldPrepare, setShouldUseWrapperPolicy, setSQLStatement, setSQLString, shouldBindAllParameters, shouldCacheStatement, shouldCascadeAllParts, shouldCascadeByMapping, shouldCascadeParts, shouldCascadePrivateParts, shouldIgnoreBindAllParameters, shouldIgnoreCacheStatement, shouldMaintainCache, shouldPrepare, shouldUseWrapperPolicy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InsertObjectQuery

    public InsertObjectQuery()

  PUBLIC: Default constructor.

### InsertObjectQuery

    public InsertObjectQuery(java.lang.Object objectToInsert)

  PUBLIC: Create an insert query with the object being inserted.

### InsertObjectQuery

    public InsertObjectQuery(Call call)

  PUBLIC: Create an insert query with the custom call.

Method Detail

### isInsertObjectQuery

    public boolean isInsertObjectQuery()

  PUBLIC: Return if this is an insert object query.
  Overrides:
    `isInsertObjectQuery` in class `DatabaseQuery`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD